V1 and V2Products (V1)

Get a product

GET
/api/v1/products/{product_id}

Gets product attributes

This verb accepts a query parameter named all_attributes which allows to specify if empty attributes should be included on response as null.

200 code is returned upon success

Params

ParamOptions
all_attributesValueDescripcionfalseDo not include empty attributes. THIS IS THE DEFAULT VALUEtrueInclude all defined attributes. Empty attributes will be returned as null

Authorization

bearerAuth
AuthorizationBearer <token>

Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.

In: header

Path Parameters

product_id*string

Response Body

application/json

application/json

curl -X GET 'https://example.com/api/v1/products/string'
{  "data": [    {      "_parent_id": null,      "assets": [],      "attributes": {        "application_place": null,        "basic_info_complete": 100,        "bowl_depth_mm": "455",        "bowl_length_mm": "160",        "bowl_position": "Central",        "bowl_width_mm": null,        "brand": "Plytix",        "collection": "2019",        "color": "Glass",        "description": "The frosted black glass vessel sink is manufactured using fully tempered glass. This allows for higher temperatures to come in contact with your sink without any damage. Glass is more sanitary than other materials because it is non-porous, will not absorb stains or odors and is easy to clean. The silky black surface of the sink, along with the soft wavy edges, creates a blissful look that will bring comfort and relaxation to any bathroom. A matching glass waterfall faucet is available to correspond with this sink. The overall dimensions for the G12 are 17\" x 17\" x 7\" and an 18\" minimum cabinet size is required. As always, our glass sinks are covered under a limited lifetime warranty for as long as you own the sink.",        "eta_stock_date": null,        "faucets_finish": null,        "feature_description": "Best practices\nDo not submit a headline without text, or vice versa.\nDo not use the same image for each feature description [feature_description].\nEnsure that grammar, capitalization, and punctuations are complete and consistent within headlines and text. \nDo not add manufacturer- or merchant-specific details, such as links, phone numbers, company information or promotional text.\nAvoid stock values, such as \"n/a\".\nHeadlines should not repeat the title [title] attribute.",        "fixing_kit": null,        "gtin": "3234567890126",        "handle_position": null,        "in_stock": true,        "installation_type": null,        "installation_type_bowls": null,        "packed_product_height_mm": "198",        "packed_product_length_mm": "167",        "packed_product_weight_kg": 4.75,        "packed_product_width_mm": "256",        "plug_and_waste": null,        "product_height_mm": "175",        "product_length_mm": "148",        "product_lifecycle_stage": null,        "product_owner": "Jon",        "product_type": "Bathroom Sink",        "product_weight_kg": 3.23,        "product_width_mm": "241",        "rich_info_complete": 90.9090909090909,        "suggested_retail_price": 310.24,        "taphole_configuration": null,        "test_date": null,        "test_multiselect": null,        "title": "Black Wavy Frost Glass Vessel Bowl",        "type": "Vessel Bowl",        "type_of_cartridge": null,        "video_url": null,        "washbasin_capacity_l": null      },      "categories": [],      "created": "2019-03-25T16:10:45.312000+00:00",      "id": "5c98ef754a6c252c96793574",      "label": "Black Wavy Frost Glass Vessel Bowl",      "modified": "2019-06-04T09:58:17.746000+00:00",      "num_variations": 0,      "sku": "1001",      "status": "Completed",      "thumbnail": null    }  ]}